ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.AArch64.RegInfo

# Documentation

data JumpDest Source #

Constructors

DestBlockId BlockId |

#### Instances

Instances details

Outputable JumpDest Source # |
Instance details Defined in GHC.CmmToAsm.AArch64.RegInfo Methods ppr :: JumpDest -> SDoc Source #

getJumpDestBlockId :: JumpDest -> Maybe BlockId Source #

canShortcut :: Instr -> Maybe JumpDest Source #

shortcutStatics :: (BlockId -> Maybe JumpDest) -> RawCmmStatics -> RawCmmStatics Source #

shortcutJump :: (BlockId -> Maybe JumpDest) -> Instr -> Instr Source #